EdgeNGramTokenizer.Side (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.ngram.EdgeNGramTokenizer.Side class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.analysis.ngram
Enum EdgeNGramTokenizer.Side

    java.lang.Object
      java.lang.Enum<EdgeNGramTokenizer.Side>
          org.apache.lucene.analysis.ngram.EdgeNGramTokenizer.Side

All Implemented Interfaces:
  Serializable, Comparable<EdgeNGramTokenizer.Side>

Enclosing class:
  EdgeNGramTokenizer

    public static enum EdgeNGramTokenizer.Side

extends Enum<EdgeNGramTokenizer.Side>

Specifies which side of the input the n-gram should be generated from

Enum Constant Summary
`BACK` Get the n-gram from the end of the input
`FRONT` Get the n-gram from the front of the input

Method Summary
`abstract String` | `getLabel()`
`static EdgeNGramTokenizer.Side` | `getSide(String sideName)`
`static EdgeNGramTokenizer.Side` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EdgeNGramTokenizer.Side[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FRONT

    public static final EdgeNGramTokenizer.Side FRONT

  Get the n-gram from the front of the input

### BACK

    public static final EdgeNGramTokenizer.Side BACK

  Get the n-gram from the end of the input

Method Detail

### values

    public static final EdgeNGramTokenizer.Side[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EdgeNGramTokenizer.Side c : EdgeNGramTokenizer.Side.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EdgeNGramTokenizer.Side valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getLabel

    public abstract String getLabel()

### getSide

    public static EdgeNGramTokenizer.Side getSide(String sideName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD